summaryrefslogtreecommitdiff
path: root/libre/aarch64-linux-gnu-binutils
diff options
context:
space:
mode:
authorDenis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>2020-01-10 22:30:44 +0100
committerDenis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>2020-01-14 17:05:55 +0100
commit5b9283d94f69c447709163f7c77f03a37a19a700 (patch)
treeb069f6d45fa5da0e2fcb173a7f8a4b2490080e0e /libre/aarch64-linux-gnu-binutils
parent411b98f5e5e03848bc60e613b66a1da885eed432 (diff)
aarch64-linux-gnu toolchain: Revert back to gcc 9.1.0
Using more recent gcc resulted in many different build failures and I didn't have the time to investigate and fix them all. Both PKGBUILDs now build with makepkg. Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>
Diffstat (limited to 'libre/aarch64-linux-gnu-binutils')
-rw-r--r--libre/aarch64-linux-gnu-binutils/PKGBUILD25
1 files changed, 10 insertions, 15 deletions
diff --git a/libre/aarch64-linux-gnu-binutils/PKGBUILD b/libre/aarch64-linux-gnu-binutils/PKGBUILD
index 5d7848e76..2d3b4a81f 100644
--- a/libre/aarch64-linux-gnu-binutils/PKGBUILD
+++ b/libre/aarch64-linux-gnu-binutils/PKGBUILD
@@ -1,21 +1,17 @@
-# Maintainer (arch): Anatol Pomozov <anatol.pomozov@gmail.com>
-# Maintainer (Parabola): Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>
-# parabola changes and rationale:
-# - Changed arch to armv7h only as the package is already present through
-# community on i686 and x86_64
+# Maintainer: David P. <megver83@parabola.nu>
_target=aarch64-linux-gnu
pkgname=$_target-binutils
-pkgver=2.33.1
+pkgver=2.32
pkgrel=1
-pkgdesc='A set of programs to assemble and manipulate binary and object files for the ARM64 target'
-arch=(armv7h)
-url='https://www.gnu.org/software/binutils/'
+pkgdesc='A set of programs to assemble and manipulate binary and object files for the aarch64 target'
+arch=('x86_64' 'i686' 'armv7h')
+url='http://www.gnu.org/software/binutils/'
license=(GPL)
depends=(zlib)
source=(https://ftp.gnu.org/gnu/binutils/binutils-$pkgver.tar.bz2{,.sig})
-sha1sums=('332c7df7e1830c1e756cf4a5542a7952200210c1'
- 'SKIP')
+sha512sums=('99ec7ed2b5ebfd3ac16cecb1567ec4a72f81ac30717002d601708f7547b2f8122ffcce076c986f22894aede33c54c73012210a4e973ba9b6e2d87a242a2bee12'
+ 'SKIP')
validpgpkeys=('EAF1C276A747E9ED86210CBAC3126D3B4AE55E93' # Tristan Gingold <gingold@adacore.com>
'3A24BC1E8FB409FA9F14371813FCEF89DD9E3C4F') # Nick Clifton (Chief Binutils Maintainer) <nickc@redhat.com>
@@ -27,8 +23,7 @@ prepare() {
build() {
cd binutils-$pkgver
- if [ "${CARCH}" != "i686" ];
- then
+ if [ "${CARCH}" != "i686" ]; then
# enabling gold linker at i686 makes the install fail
enable_gold='--enable-gold'
fi
@@ -50,10 +45,10 @@ build() {
check() {
cd binutils-$pkgver
-
+
# unset LDFLAGS as testsuite makes assumptions about which ones are active
# do not abort on errors - manually check log files
- make -k LDFLAGS="" check || true
+ make LDFLAGS="" -k check || true
}
package() {